Subject: Re: bug#27348: 24.5; [PATCH] let defvars benefit from defcustom keywords and persistence

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 17:04:00 +0200

Drew Adams <[email-masked]> writes:

> This is an enhancement request, with a patch.
>
>   [NOTE: I suggested this enhancement to emacs-devel in 2009.  There was
>    exactly one reply, with only this text: "YAGNI".
>    http://lists.gnu.org/archive/html/emacs-devel/2009-10/msg00668.html
>    http://lists.gnu.org/archive/html/emacs-devel/2015-10/msg01481.html]
>
> The ability to type-check, provide :set and :initialize trigger
> functions, automatically :require libraries, add links to doc, associate
> with one or more :groups, etc. - these are useful things to be able to
> do with at least some defvars, not just with defcustoms.  Similarly, the
> ability to persist non-option variables in a user's custom file can be
> useful.

So this has been brought up several times, and nobody seems to be
enthusiastic about the idea.  (I'm not either -- if we're extending
Emacs Lisp to support static typing, I think this would be starting in
at the wrong end.)

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no